#pragma once

#include "quam/pak.h"
#include "quam/ui_project.h"

#include <QMainWindow>
#include <QMdiSubWindow>
#include <QWidget>

class QAbstractItemModel;
class QErrorMessage;
class QSortFilterProxyModel;

class Project : public QMdiSubWindow, private Ui::Project {
	Q_OBJECT

public:
	explicit Project(PakDir &&dir, QErrorMessage *errors, QMdiArea *parent);
	virtual ~Project();

private:
	explicit Project(QErrorMessage *errors, QMdiArea *parent);

	void setupModel(QAbstractItemModel *model);

	QErrorMessage         *m_errors;
	QAbstractItemModel    *m_model;
	QSortFilterProxyModel *m_sorter;
};

// EOF
